Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003396TestLinkUsers and Rightspublic2010-04-19 23:572010-05-01 20:28
Reporterkknight 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 3 
Fixed in Version1.9 Beta 4 
Summary0003396: Reset Password sends email with xml tags, password doesn't work
DescriptionI clicked Reset Password in Edit User screen, and get the following text in the reset password email, in Outlook 2007:

"Your new TestLink password is:
_3HO+&87N6*d
If you have any further problems please contact your administrator."

I was not able to log in with password, tried:

_3HO+&87N6*d
3HO+&87N6d
3HO87N6d

Thanks!
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox 3.6.3
PHP Version5.2
TestCaseID
QA Team - Task Workflow Status
Attached Filestxt file icon TestLink Reset Password.txt [^] (122 bytes) 2010-04-20 00:37 [Show Content]
zip file icon fix-3396.zip [^] (471,811 bytes) 2010-04-28 02:58

- Relationships

-  Notes
(0009781)
kknight (reporter)
2010-04-20 00:38

Attached email contents as text file, since
tags were disappearing in html description.
(0009822)
fman (administrator)
2010-04-28 02:59

please try with attached fix, retest and let us known
(0009826)
kknight (reporter)
2010-04-28 18:58

I don't know how to use the attached fix, thanks.
(0009830)
terryzuo (reporter)
2010-04-29 10:44

Hi kknight,
I think fman means download the zip file and extract it, then copy to the testlink folder and replace these files.
(0009834)
kknight (reporter)
2010-04-30 00:49

FYI, I am now able to copy/paste the password inside the tags, and this password works (i.e., "_3HO+&87N6*d" from attached example).

- Issue History
Date Modified Username Field Change
2010-04-19 23:57 kknight New Issue
2010-04-19 23:57 kknight Browser => Firefox 3.6.3
2010-04-19 23:57 kknight PHP Version => 5.2
2010-04-20 00:36 kknight Note Added: 0009780
2010-04-20 00:36 kknight Note Edited: 0009780
2010-04-20 00:36 kknight Note Deleted: 0009780
2010-04-20 00:37 kknight File Added: TestLink Reset Password.txt
2010-04-20 00:38 kknight Note Added: 0009781
2010-04-28 02:58 fman File Added: fix-3396.zip
2010-04-28 02:59 fman Note Added: 0009822
2010-04-28 02:59 fman Assigned To => fman
2010-04-28 02:59 fman Status new => feedback
2010-04-28 18:58 kknight Note Added: 0009826
2010-04-29 10:44 terryzuo Note Added: 0009830
2010-04-30 00:49 kknight Note Added: 0009834
2010-04-30 23:34 fman Status feedback => resolved
2010-04-30 23:34 fman Fixed in Version => 1.9 Beta 4 (Next public build)
2010-04-30 23:34 fman Resolution open => fixed
2010-05-01 20:28 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker